
QGIS Application - Bug report #9881

Improve GUI consistency & UX for data-defined style

2014-03-26 02:30 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Mathieu Pellerin - nIRV

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18402

Description

The GUI for data-defined settings is currently not consistent between style and label window: in the style window, there is an extra button

to set data-defined settings. It is not possible to see directly which settings are data-defined.

The solution in the label window is better UX-wise: There is a dedicated button besides every option which can be data-defined. On

mouse-over, there is a short help. On click, it's possible to directly chose the column which should be used. If data-defined settings are

active, the button/icon is highlighted.

I think the label solution should be applied to the style window as well.
original discussion: 

http://osgeo-org.1560.x6.nabble.com/Duplication-of-functionality-Data-defined-size-and-Size-scale-field-td5131007.html

Associated revisions

Revision 6fb347d2 - 2015-01-21 08:56 PM - Vincent Mora

improve GUI consistency & UX for data-defined style

data defined buttons added to the gui

fixes #9881

History

#1 - 2015-01-12 12:49 AM - Vincent Mora

- Assignee set to Vincent Mora

#2 - 2015-01-14 10:03 AM - Vincent Mora

- Pull Request or Patch supplied changed from No to Yes

Pull request here https://github.com/qgis/QGIS/pull/1833

#3 - 2015-01-21 12:08 PM - Vincent Mora

- Status changed from Open to Closed
http://osgeo-org.1560.x6.nabble.com/Duplication-of-functionality-Data-defined-size-and-Size-scale-field-td5131007.html
https://github.com/qgis/QGIS/pull/1833


Fixed in changeset commit:"6fb347d23fd1530834053aab9500ea4087e4335c".

#4 - 2015-01-21 11:06 PM - Vincent Mora

- Status changed from Closed to Reopened

There is a size problem reported by nirvn here #6fb347d23fd1530834053aab9500ea4087e4335c#commitcomment-9389732

I'm on it.

#5 - 2015-01-21 11:12 PM - Vincent Mora

- File can_not_reproduce.png added

- Assignee changed from Vincent Mora to Mathieu Pellerin - nIRV

- Status changed from Reopened to Feedback

But I cannot reproduce with a fresh master (see attached)

#6 - 2015-01-21 11:21 PM - Nathan Woodrow

Nyall has already fixed it :)

#7 - 2015-01-22 04:55 AM - Vincent Mora

- Status changed from Feedback to Closed

Files

style_now.png 143 KB 2014-03-26 Anita Graser

label_now.png 139 KB 2014-03-26 Anita Graser

can_not_reproduce.png 124 KB 2015-01-21 Vincent Mora

2024-04-09 2/2


